# Tone play

An action block that plays a DTMF tone.

If the proceed option is set to Immediately, then the sound will be played without pausing the fiber. If set to When complete, then the fiber will pause for the duration if it’s explicitly set, otherwise indefinitely.

Playback can be stopped (prematurely) by an Tone stop block.

Note! Few devices support playback in phone calls through the Voice call audio stream.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Tone — tone to play.
- Audio stream — playback audio stream, default is DTMF.
- Volume — playback audio volume, default is 100%.
- Duration — duration of tone in seconds, default is tone length.